mitmproxy/mitmproxy 软件分析报告

基础信息

项目名称:mitmproxy/mitmproxy

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1762391879988224000/1765196878924660736

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
nodejs 正则表达式漏洞 拒绝服务 MPS-2021-31423 CVE-2021-3777 高危
prompts 正则表达式拒绝服务漏洞 ReDoS MPS-2021-32909 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
istanbul-reports 通过 window.opener 访问使用指向不受信任目标的 Web 链接 MPS-2022-13797 中危
node-fetch 信息泄露漏洞 未授权敏感信息泄露 MPS-2022-1461 CVE-2022-0235 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
nwsapi 拒绝服务 拒绝服务 MPS-2022-54623 中危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
needle 存在Authorization请求头泄露漏洞 未授权敏感信息泄露 MPS-2022-7866 中危
cross-fetch 安全漏洞 授权检查错误 MPS-2022-8877 CVE-2022-1365 中危
Babel 插件任意代码执行漏洞漏洞 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
path-parse 1.0.6 1.0.7 间接依赖 建议修复
qs 6.10.1 6.10.3 间接依赖 建议修复
@babel/traverse 7.14.2 7.23.2 间接依赖 建议修复
tmpl 1.0.4 1.0.5 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
trim-newlines 1.0.0 3.0.1 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
nwsapi 2.2.0 2.2.1 间接依赖 可选修复
lodash.template 4.5.0 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
needle 2.8.0 3.1.0 间接依赖 可选修复
node-fetch 2.6.1 2.6.7 间接依赖 可选修复
istanbul-reports 3.0.2 3.1.3 间接依赖 可选修复
prompts 2.4.1 2.4.2 直接依赖 可选修复
postcss 7.0.36 8.4.31 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 570
ISC 44
BSD-3-Clause 15
BSD 1
0BSD 1
Apache-2.0 12
CC-BY-4.0 1
WTFPL 1
BSD-2-Clause 4
MPL-2.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
min-indent 1.0.1 直接依赖 npm
remove-bom-stream 1.2.0 间接依赖 npm
@istanbuljs/schema 0.1.3 间接依赖 npm
camelcase 3.0.0 间接依赖 npm
@jest/reporters 27.0.6 间接依赖 npm
gulp-plumber 1.2.1 直接依赖 npm
safe-json-parse 1.0.1 间接依赖 npm
examples 间接依赖 pip
lodash.escape 2.4.1 直接依赖 npm
mitmproxy 间接依赖 pip
decamelize 1.2.0 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
csstype 3.0.8 间接依赖 npm
timers-ext 0.1.7 间接依赖 npm
/usr/lib/libiconv.2.dylib 间接依赖
lodash._reinterpolate 2.4.1 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
promise-polyfill 8.2.0 间接依赖 npm
qs 6.10.1 间接依赖 npm
jest-validate 27.0.6 间接依赖 npm
@types/react-redux 7.1.16 间接依赖 npm
parse5 6.0.1 间接依赖 npm
@babel/types 7.14.4 间接依赖 npm
babel-preset-jest 26.6.2 间接依赖 npm
flagged-respawn 1.0.1 间接依赖 npm
sax 1.2.4 间接依赖 npm
encode-utf8 1.0.3 间接依赖 npm
jest-diff 27.0.6 间接依赖 npm
whatwg-encoding 1.0.5 间接依赖 npm
array-sort 1.0.0 直接依赖 npm
gulp-sourcemaps 3.0.0 直接依赖 npm
duplexer2 0.0.2 间接依赖 npm
dijkstrajs 1.0.2 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
import-local 3.0.2 间接依赖 npm
expect 27.0.6 间接依赖 npm
istanbul-lib-instrument 4.0.3 间接依赖 npm
@babel/helper-function-name 7.14.5 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
matchdep 2.0.0 直接依赖 npm
duplexify 3.7.1 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.14.5 间接依赖 npm
/usr/lib/libSystem.B.dylib 间接依赖
array-unique 0.3.2 间接依赖 npm
base 0.11.2 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
has-value 1.0.0 间接依赖 npm
jest-each 27.0.6 间接依赖 npm
string-width 1.0.2 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
ansi-colors 1.1.0 间接依赖 npm
os-locale 1.4.0 直接依赖 npm
anymatch 2.0.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
through2-filter 3.0.0 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
jest-circus 27.0.6 间接依赖 npm
lodash.templatesettings 4.2.0 间接依赖 npm
onetime 5.1.2 间接依赖 npm
lru-cache 6.0.0 直接依赖 npm
node-notifier 9.0.1 间接依赖 npm
multipipe 0.1.2 间接依赖 npm
clone 2.1.2 间接依赖 npm
libgcc_s.so.1 间接依赖
is-plain-object 2.0.4 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
fast-json-stable-stringify 2.0.0 间接依赖 npm
extglob 2.0.4 直接依赖 npm
gulp-esbuild 0.8.5 直接依赖 npm
indent-string 2.1.0 间接依赖 npm
redux-mock-store 1.5.4 直接依赖 npm
clean-css 4.2.3 间接依赖 npm
ws2_32.dll 间接依赖
is-stream 2.0.1 间接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
tslib 1.14.1 间接依赖 npm
union-value 1.0.1 间接依赖 npm
is-potential-custom-element-name 1.0.1 间接依赖 npm
@babel/compat-data 7.14.5 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
lodash.keys 2.4.1 间接依赖 npm
@babel/plugin-syntax-logical-assignment-operators 7.10.4 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
lodash 4.17.21 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
xml-name-validator 3.0.0 间接依赖 npm
html-escaper 2.0.2 间接依赖 npm
@sinonjs/fake-timers 7.1.2 间接依赖 npm
jest-config 27.0.6 间接依赖 npm
typescript 4.3.5 直接依赖 npm
react-dom 17.0.2 直接依赖 npm
jest-matcher-utils 27.0.6 间接依赖 npm
async-each 1.0.3 间接依赖 npm
stable 0.1.8 直接依赖 npm
jest-util 27.0.6 间接依赖 npm
less 4.1.1 间接依赖 npm
event-emitter 0.3.5 间接依赖 npm
istanbul-lib-coverage 3.0.0 间接依赖 npm
just-debounce 1.1.0 间接依赖 npm
vinyl-fs 3.0.3 间接依赖 npm
@cnakazawa/watch 1.0.4 间接依赖 npm
sver-compat 1.5.0 间接依赖 npm
aria-query 4.2.2 间接依赖 npm
kleur 3.0.3 间接依赖 npm
cssom 0.4.4 间接依赖 npm
clone-stats 1.0.0 间接依赖 npm
array-each 1.0.1 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
babel-preset-current-node-syntax 1.0.1 间接依赖 npm
api-ms-win-crt-runtime-l1-1-0.dll 间接依赖
@types/yargs 16.0.3 间接依赖 npm
replace-ext 1.0.0 间接依赖 npm
needle 2.8.0 间接依赖 npm
mute-stdout 1.0.1 直接依赖 npm
async-done 1.3.2 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
@types/babel__template 7.4.0 间接依赖 npm
is-accessor-descriptor 1.0.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
@babel/helper-member-expression-to-functions 7.14.5 间接依赖 npm
jest 27.0.6 直接依赖 npm
undertaker 1.2.1 间接依赖 npm
diff-sequences 27.0.6 间接依赖 npm
copy-props 2.0.5 直接依赖 npm
read-pkg 1.1.0 间接依赖 npm
@testing-library/jest-dom 5.14.1 直接依赖 npm
node.extend 2.0.2 间接依赖 npm
is-number 3.0.0 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
now-and-later 2.0.1 间接依赖 npm
nwsapi 2.2.0 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
@babel/plugin-syntax-json-strings 7.8.3 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
arr-map 2.0.2 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
gulp-replace 1.1.3 直接依赖 npm
node-modules-regexp 1.0.0 间接依赖 npm
@types/prettier 2.3.2 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
raw-body 1.1.7 间接依赖 npm
lodash._escapestringchar 2.4.1 直接依赖 npm
readable-stream 2.3.6 间接依赖 npm
@babel/highlight 7.14.5 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
leven 3.1.0 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
@types/babel__generator 7.6.2 间接依赖 npm
flush-write-stream 1.1.1 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
@babel/helper-split-export-declaration 7.14.5 间接依赖 npm
next-tick 1.0.0 间接依赖 npm
urix 0.1.0 间接依赖 npm
invert-kv 1.0.0 间接依赖 npm
bser 2.1.1 间接依赖 npm
fs-mkdirp-stream 1.0.0 间接依赖 npm
@babel/plugin-transform-modules-commonjs 7.14.0 间接依赖 npm
ordered-read-streams 1.0.1 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
global-prefix 1.0.2 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
sisteransi 1.0.5 间接依赖 npm
@jest/fake-timers 27.0.6 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
source-map-url 0.4.1 间接依赖 npm
@babel/runtime-corejs3 7.15.3 间接依赖 npm
kind-of 3.2.2 间接依赖 npm
glob 7.1.2 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
jest-get-type 27.0.6 间接依赖 npm
prompts 2.4.1 直接依赖 npm
bytes 1.0.0 间接依赖 npm
is-finite 1.1.0 间接依赖 npm
last-run 1.1.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
@jest/types 27.0.2 间接依赖 npm
repeat-element 1.1.4 间接依赖 npm
@testing-library/react 12.0.0 直接依赖 npm
shebang-command 2.0.0 间接依赖 npm
test-exclude 6.0.0 间接依赖 npm
bach 1.2.0 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
to-through 2.0.0 间接依赖 npm
resolve 1.13.1 间接依赖 npm
jest-pnp-resolver 1.2.2 间接依赖 npm
@types/stack-utils 2.0.1 间接依赖 npm
@babel/plugin-syntax-optional-chaining 7.8.3 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
pretty-hrtime 1.0.3 直接依赖 npm
@types/scheduler 0.16.1 间接依赖 npm
body 5.1.0 间接依赖 npm
@types/babel__core 7.1.14 间接依赖 npm
parse-node-version 1.0.1 间接依赖 npm
@jest/core 27.0.6 间接依赖 npm
libc.so.6 间接依赖
api-ms-win-crt-heap-l1-1-0.dll 间接依赖
shellwords 0.1.1 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
object-inspect 1.10.3 间接依赖 npm
collection-map 1.0.0 间接依赖 npm
@babel/helper-hoist-variables 7.14.5 直接依赖 npm
json5 2.2.0 间接依赖 npm
type-fest 0.21.3 间接依赖 npm
path-key 2.0.1 间接依赖 npm
terminal-link 2.1.1 间接依赖 npm
@babel/generator 7.14.3 间接依赖 npm
react-redux 7.2.4 直接依赖 npm
jest-mock 27.0.6 间接依赖 npm
remove-trailing-separator 1.0.2 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
lodash.assign 4.2.0 间接依赖 npm
qrcode 1.5.1 直接依赖 npm
pumpify 1.5.1 间接依赖 npm
walker 1.0.7 间接依赖 npm
@jest/test-result 27.0.6 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
faye-websocket 0.10.0 间接依赖 npm
@types/istanbul-lib-coverage 2.0.3 间接依赖 npm
lodash._shimkeys 2.4.1 间接依赖 npm
slash 3.0.0 间接依赖 npm
lodash._reunescapedhtml 2.4.1 间接依赖 npm
nan 2.17.0 直接依赖 npm
prop-types 15.7.2 间接依赖 npm
has 1.0.3 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
jest-environment-jsdom 27.0.6 间接依赖 npm
ret 0.1.15 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
fancy-log 1.3.3 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
w3c-hr-time 1.0.2 间接依赖 npm
source-map-resolve 0.5.3 间接依赖 npm
ms 2.0.0 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
babel-jest 26.6.3 间接依赖 npm
braces 2.3.2 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
@types/redux-mock-store 1.0.3 直接依赖 npm
locate-path 5.0.0 间接依赖 npm
plugin-error 1.0.1 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
y18n 5.0.8 间接依赖 npm
react-is 17.0.2 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
istextorbinary 3.3.0 间接依赖 npm
mime-db 1.26.0 间接依赖 npm
jest-regex-util 27.0.6 间接依赖 npm
prettier 2.8.4 直接依赖 npm
binaryextensions 2.3.0 间接依赖 npm
@babel/parser 7.14.4 间接依赖 npm
glogg 1.0.2 间接依赖 npm
acorn-globals 6.0.0 间接依赖 npm
exit 0.1.2 间接依赖 npm
@jest/test-sequencer 27.0.6 间接依赖 npm
/System/Library/Frameworks/Security.framework/Versions/A/Security 间接依赖
browserslist 4.16.6 间接依赖 npm
growly 1.3.0 间接依赖 npm
pngjs 5.0.0 间接依赖 npm
dedent 0.7.0 间接依赖 npm
caniuse-lite 1.0.30001239 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
gulp-clean-css 4.3.0 直接依赖 npm
yargs-parser 20.2.7 间接依赖 npm
strip-eof 1.0.0 直接依赖 npm
@types/prop-types 15.7.3 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
mime 1.6.0 间接依赖 npm
continuable-cache 0.3.1 间接依赖 npm
jest-haste-map 27.0.6 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
each-props 1.3.2 间接依赖 npm
PyInstaller 间接依赖 pip
gulplog 1.0.0 直接依赖 npm
rimraf 3.0.2 间接依赖 npm
jest-docblock 27.0.6 间接依赖 npm
time-stamp 1.1.0 间接依赖 npm
is-promise 2.2.2 间接依赖 npm
collect-v8-coverage 1.0.1 间接依赖 npm
lodash._objecttypes 2.4.1 间接依赖 npm
api-ms-win-crt-math-l1-1-0.dll 间接依赖
emoji-regex 8.0.0 直接依赖 npm
for-own 1.0.0 间接依赖 npm
universalify 0.1.2 直接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
require-main-filename 1.0.1 直接依赖 npm
gulp-notify 4.0.0 直接依赖 npm
callsites 3.1.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
decimal.js 10.3.1 间接依赖 npm
gulp-livereload 4.0.2 直接依赖 npm
is-extendable 0.1.1 间接依赖 npm
lz-string 1.4.4 间接依赖 npm
react-popper 2.2.5 直接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
to-absolute-glob 2.0.2 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
async-settle 1.0.0 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
fb-watchman 2.0.0 间接依赖 npm
lodash._escapehtmlchar 2.4.1 间接依赖 npm
node-fetch 2.6.1 间接依赖 npm
@babel/helper-validator-identifier 7.14.5 间接依赖 npm
lodash.values 2.4.1 直接依赖 npm
ini 1.3.8 间接依赖 npm
@types/testing-library__jest-dom 5.14.1 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
execa 5.1.1 间接依赖 npm
redux-thunk 2.3.0 直接依赖 npm
pegjs 0.9.0 间接依赖 npm
d 1.0.0 间接依赖 npm
picomatch 2.3.0 间接依赖 npm
jest-resolve 27.0.6 间接依赖 npm
@jest/environment 27.0.6 间接依赖 npm
resolve-options 1.1.0 间接依赖 npm
is-what 3.14.1 间接依赖 npm
number-is-nan 1.0.1 直接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
ws 7.5.3 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
array-last 1.3.0 间接依赖 npm
jsdom 16.7.0 间接依赖 npm
@types/istanbul-reports 3.0.1 间接依赖 npm
interpret 1.4.0 直接依赖 npm
normalize-package-data 2.3.5 间接依赖 npm
classnames 2.3.1 直接依赖 npm
webidl-conversions 6.1.0 间接依赖 npm
@testing-library/dom 8.1.0 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
/usr/lib/libresolv.9.dylib 间接依赖
lead 1.0.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
detect-newline 2.1.0 间接依赖 npm
api-ms-win-crt-locale-l1-1-0.dll 间接依赖
buffer-equal 1.0.0 间接依赖 npm
lodash.template 4.5.0 间接依赖 npm
define-property 2.0.2 间接依赖 npm
ansi-regex 5.0.0 间接依赖 npm
@babel/helper-simple-access 7.13.12 间接依赖 npm
rsvp 4.8.5 间接依赖 npm
html-encoding-sniffer 2.0.1 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
lodash.isobject 2.4.1 间接依赖 npm
cssstyle 2.3.0 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
chalk 4.1.1 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
yargs 16.2.0 间接依赖 npm
api-ms-win-crt-stdio-l1-1-0.dll 间接依赖
gulp-less 5.0.0 直接依赖 npm
isexe 2.0.0 间接依赖 npm
is-unc-path 1.0.0 间接依赖 npm
acorn 6.4.2 间接依赖 npm
graceful-fs 4.2.6 间接依赖 npm
fined 1.2.0 间接依赖 npm
emittery 0.8.1 间接依赖 npm
css.escape 1.5.1 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
ansi-wrap 0.1.0 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
electron-to-chromium 1.3.752 间接依赖 npm
remove-bom-buffer 3.0.0 间接依赖 npm
which-module 1.0.0 直接依赖 npm
@babel/traverse 7.14.2 间接依赖 npm
textextensions 3.3.0 间接依赖 npm
get-intrinsic 1.1.1 间接依赖 npm
jest-runtime 27.0.6 间接依赖 npm
default-compare 1.0.0 间接依赖 npm
has-values 1.0.0 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
@testing-library/user-event 13.2.1 直接依赖 npm
semver 6.3.0 间接依赖 npm
find-up 4.1.0 间接依赖 npm
redent 1.0.0 间接依赖 npm
prr 1.0.1 间接依赖 npm
node-releases 1.1.73 间接依赖 npm
stream-exhaust 1.0.2 间接依赖 npm
source-map 0.6.1 间接依赖 npm
es5-ext 0.10.53 间接依赖 npm
escodegen 2.0.0 间接依赖 npm
css 3.0.0 间接依赖 npm
@babel/plugin-syntax-async-generators 7.8.4 间接依赖 npm
supports-hyperlinks 2.2.0 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
pirates 4.0.1 间接依赖 npm
path-root-regex 0.1.2 间接依赖 npm
@babel/helper-compilation-targets 7.14.5 间接依赖 npm
lodash._htmlescapes 2.4.1 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.8.3 间接依赖 npm
jest-fetch-mock 3.0.3 直接依赖 npm
unique-stream 2.3.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
semver-greatest-satisfied-range 1.1.0 直接依赖 npm
co 4.6.0 间接依赖 npm
errno 0.1.8 间接依赖 npm
react-fast-compare 3.2.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
esbuild 0.12.21 间接依赖 npm
@babel/plugin-syntax-bigint 7.8.3 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
babel-plugin-jest-hoist 26.6.2 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
strip-bom-string 1.0.0 间接依赖 npm
vinyl-sourcemaps-apply 0.2.1 间接依赖 npm
split-string 3.1.0 间接依赖 npm
get-value 2.0.6 间接依赖 npm
loose-envify 1.3.1 间接依赖 npm
data-urls 2.0.0 间接依赖 npm
is-data-descriptor 1.0.0 间接依赖 npm
binary-extensions 1.13.1 间接依赖 npm
micromatch 4.0.4 间接依赖 npm
@types/yargs-parser 20.2.0 间接依赖 npm
repeating 2.0.1 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
@types/graceful-fs 4.1.5 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
jest-snapshot 27.0.6 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
https-proxy-agent 5.0.0 间接依赖 npm
whatwg-mimetype 2.3.0 间接依赖 npm
type 1.2.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
capture-exit 2.0.0 间接依赖 npm
color-support 1.1.3 间接依赖 npm
warning 4.0.3 间接依赖 npm
globals 11.12.0 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
babel-plugin-istanbul 6.0.0 间接依赖 npm
@bcoe/v8-coverage 0.2.3 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.8.3 间接依赖 npm
@types/react 17.0.11 间接依赖 npm
ansi-gray 0.1.1 间接依赖 npm
react-test-renderer 17.0.2 直接依赖 npm
is-glob 4.0.1 间接依赖 npm
clone-buffer 1.0.0 间接依赖 npm
pretty-format 27.0.2 间接依赖 npm
vinyl-sourcemap 1.1.0 间接依赖 npm
strip-indent 1.0.1 间接依赖 npm
esprima 4.0.1 间接依赖 npm
gulp-util 2.2.20 间接依赖 npm
cjs-module-lexer 1.2.2 间接依赖 npm
error 7.2.1 间接依赖 npm
debug-fabulous 1.1.0 间接依赖 npm
mime-types 2.1.14 直接依赖 npm
memoizee 0.4.15 间接依赖 npm
@babel/helper-module-transforms 7.14.2 间接依赖 npm
value-or-function 3.0.0 间接依赖 npm
once 1.4.0 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
set-blocking 2.0.0 直接依赖 npm
fsevents 2.3.2 间接依赖 npm
@sinonjs/commons 1.8.3 间接依赖 npm
VCRUNTIME140.dll 间接依赖
@babel/helper-get-function-arity 7.14.5 间接依赖 npm
stream-shift 1.0.1 间接依赖 npm
safe-buffer 5.2.0 间接依赖 npm
sparkles 1.0.1 间接依赖 npm
has-symbols 1.0.2 间接依赖 npm
inherits 2.0.3 间接依赖 npm
jest-leak-detector 27.0.6 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
cloneable-readable 1.1.3 间接依赖 npm
websocket-extensions 0.1.4 间接依赖 npm
@babel/plugin-syntax-import-meta 7.10.4 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
sane 4.1.0 直接依赖 npm
jest-runner 27.0.6 间接依赖 npm
w3c-xmlserializer 2.0.0 间接依赖 npm
cross-fetch 3.1.4 间接依赖 npm
@types/jest 27.0.1 间接依赖 npm
websocket-driver 0.7.4 间接依赖 npm
tmpl 1.0.4 间接依赖 npm
bcrypt.dll 间接依赖
is-core-module 2.6.0 直接依赖 npm
@babel/helper-replace-supers 7.14.5 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
hoist-non-react-statics 3.3.2 间接依赖 npm
uuid 8.3.2 间接依赖 npm
@types/expect 1.20.4 间接依赖 npm
for-in 1.0.2 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
pump 2.0.1 间接依赖 npm
lcid 1.0.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
v8-to-istanbul 8.0.0 间接依赖 npm
gulp-peg 0.2.0 直接依赖 npm
string-template 0.2.1 间接依赖 npm
array-initial 1.1.0 间接依赖 npm
xtend 4.0.2 间接依赖 npm
bindings 1.5.0 直接依赖 npm
debug 4.3.1 间接依赖 npm
scheduler 0.20.2 间接依赖 npm
lazystream 1.0.0 间接依赖 npm
asynckit 0.4.0 直接依赖 npm
glob-parent 3.1.0 间接依赖 npm
whatwg-url 8.7.0 间接依赖 npm
esbuild-jest 0.5.0 直接依赖 npm
argparse 1.0.10 间接依赖 npm
jest-message-util 27.0.6 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
@types/istanbul-lib-report 3.0.0 间接依赖 npm
@babel/helper-optimise-call-expression 7.14.5 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
@popperjs/core 2.9.3 直接依赖 npm
is-ci 3.0.0 间接依赖 npm
@gulp-sourcemaps/map-sources 1.0.0 间接依赖 npm
psl 1.6.0 直接依赖 npm
tiny-lr 1.1.1 间接依赖 npm
jest-changed-files 27.0.6 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
jest-serializer 27.0.6 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
core-js-pure 3.16.2 间接依赖 npm
v8flags 3.2.0 直接依赖 npm
nice-try 1.0.5 直接依赖 npm
object-visit 1.0.1 间接依赖 npm
global-modules 1.0.0 间接依赖 npm
es6-symbol 3.1.3 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
jest-watcher 27.0.6 间接依赖 npm
lodash._isnative 2.4.1 间接依赖 npm
regenerator-runtime 0.13.7 间接依赖 npm
throat 6.0.1 间接依赖 npm
es6-weak-map 2.0.3 间接依赖 npm
bootstrap 3.4.1 直接依赖 npm
gulp 4.0.2 直接依赖 npm
makeerror 1.0.11 间接依赖 npm
shallowequal 1.1.0 直接依赖 npm
@jest/globals 27.0.6 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
upath 1.2.0 间接依赖 npm
http-parser-js 0.5.3 间接依赖 npm
jest-jasmine2 27.0.6 间接依赖 npm
cliui 7.0.4 间接依赖 npm
is-descriptor 1.0.2 间接依赖 npm
colorette 1.2.2 间接依赖 npm
exec-sh 0.3.6 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
@babel/helper-module-imports 7.14.5 间接依赖 npm
archy 1.0.0 直接依赖 npm
escalade 3.1.1 间接依赖 npm
istanbul-reports 3.0.2 间接依赖 npm
extend 3.0.2 间接依赖 npm
jest-worker 27.0.6 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
use 3.1.1 间接依赖 npm
string-length 4.0.2 间接依赖 npm
@jest/source-map 27.0.6 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
arr-filter 1.1.2 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
hypothesis 间接依赖 pip
default-resolution 2.0.0 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
redux 4.1.1 间接依赖 npm
stack-utils 2.0.3 间接依赖 npm
glob-stream 6.1.0 间接依赖 npm
concat-stream 1.6.2 直接依赖 npm
get-stdin 4.0.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
jest-environment-node 27.0.6 间接依赖 npm
@babel/helper-validator-option 7.14.5 间接依赖 npm
image-size 0.5.5 间接依赖 npm
@babel/helpers 7.14.6 间接依赖 npm
saxes 5.0.1 间接依赖 npm
babel-plugin-dynamic-import-node 2.3.3 间接依赖 npm
kernel32.dll 间接依赖
object.map 1.0.1 间接依赖 npm
@types/hoist-non-react-statics 3.3.1 间接依赖 npm
react 17.0.2 直接依赖 npm
atob 2.1.2 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
which 1.3.1 间接依赖 npm
replace-homedir 1.0.0 直接依赖 npm
lru-queue 0.1.0 间接依赖 npm
is-negated-glob 1.0.0 间接依赖 npm
@gulp-sourcemaps/identity-map 2.0.1 间接依赖 npm
unc-path-regex 0.1.2 间接依赖 npm
@jest/console 27.0.6 间接依赖 npm
livereload-js 2.4.0 间接依赖 npm
istanbul-lib-source-maps 4.0.0 间接依赖 npm
http-proxy-agent 4.0.1 间接依赖 npm
@babel/template 7.12.13 间接依赖 npm
ext 1.4.0 间接依赖 npm
@types/vinyl 2.0.4 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
postcss 7.0.36 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
abab 2.0.5 间接依赖 npm
undertaker-registry 1.0.1 间接依赖 npm
through2 4.0.2 间接依赖 npm
p-finally 1.0.0 直接依赖 npm
@babel/code-frame 7.12.13 间接依赖 npm
minimist 1.2.5 间接依赖 npm
replacestream 4.0.3 间接依赖 npm
@types/node 15.12.4 间接依赖 npm
@babel/plugin-syntax-class-properties 7.12.13 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
dateformat 1.0.12 间接依赖 npm
is-valid-glob 1.0.0 间接依赖 npm
@babel/runtime 7.14.6 间接依赖 npm
@babel/plugin-syntax-numeric-separator 7.10.4 间接依赖 npm
p-each-series 2.2.0 间接依赖 npm
@babel/plugin-syntax-typescript 7.14.5 间接依赖 npm
@babel/helper-plugin-utils 7.13.0 间接依赖 npm
react-shallow-renderer 16.14.1 间接依赖 npm
@babel/plugin-syntax-nullish-coalescing-operator 7.8.3 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
combined-stream 1.0.8 直接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
libpthread.so.0 间接依赖
set-value 2.0.1 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
vinyl 2.2.0 间接依赖 npm
dom-accessibility-api 0.5.7 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
findup-sync 3.0.0 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
meow 3.7.0 间接依赖 npm
glob-watcher 5.0.3 间接依赖 npm
liftoff 3.1.0 直接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
@jest/transform 27.0.6 间接依赖 npm
codemirror 5.62.3 直接依赖 npm
make-iterator 1.0.1 间接依赖 npm
@istanbuljs/load-nyc-config 1.1.0 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
@types/babel__traverse 7.11.1 间接依赖 npm
path-root 0.1.1 间接依赖 npm
source-map-support 0.5.19 间接依赖 npm
append-buffer 1.0.2 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
object.reduce 1.0.1 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
get-package-type 0.1.0 间接依赖 npm
@types/aria-query 4.2.2 间接依赖 npm
copy-anything 2.0.3 间接依赖 npm
@babel/core 7.14.3 间接依赖 npm
ci-info 3.2.0 间接依赖 npm
is 3.3.0 间接依赖 npm
domexception 2.0.1 间接依赖 npm
jest-resolve-dependencies 27.0.6 间接依赖 npm
istanbul-lib-report 3.0.0 间接依赖 npm
(0)
上一篇 2024年3月6日
下一篇 2024年3月6日

相关推荐

  • ittner/lua-gd 软件分析报告

    基础信息 项目名称:ittner/lua-gd 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718911518505746432/1718911518925176832 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年10月30日
    0
  • card-io/card.io-Android-SDK 软件分析报告

    基础信息 项目名称:card-io/card.io-Android-SDK 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716573636194336768/1716573636362108928 此报告由Mu…

    软件分析 2023年10月24日
    0
  • Jimmey-Jiang/ABP-ASP.NET-Boilerplate-Project-CMS 软件分析报告

    基础信息 项目名称:Jimmey-Jiang/ABP-ASP.NET-Boilerplate-Project-CMS 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719149621619245056/17191…

    软件分析 2023年10月31日
    0
  • catchorg/Catch2 软件分析报告

    基础信息 项目名称:catchorg/Catch2 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1725394381508665344/1725394382129422336 此报告由Murphysec提供 漏洞…

    软件分析 2023年11月17日
    0
  • grevolution/SHLineGraphView 软件分析报告

    基础信息 项目名称:grevolution/SHLineGraphView 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721248990674096128/1723711341369184256 此报告由Mu…

    软件分析 2023年11月12日
    0